# Security

We sincerely appreciate the work of security researchers, bug hunters, and anyone who’s willing to take the time to let us know about something that’s broken. It’s all really helpful, especially to a small independent company like this one.

If you believe that you have found a critical security issue with any StarCat Systems product or service, please use the Security contact address below.

If you'd like to report bugs and/or issues that are not directly contributing to a critical security issue, please see [:octicons-arrow-right-16: Bugs + Issues](bugs.md).

We maintain a [:octicons-arrow-right-16: Hall of Fame](../about/thanks.md) page to recognize each person who reports bugs/vulnerabilities and acknowledge their contributions.

## Security Contact Email
Please use this email address to contact StarCat Security:
```
security@starcat.systems
```
Or, click [:material-email-outline: this link](mailto:security@starcat.systems) to open your email client.

## PGP Key
StarCat Security provides a PGP key for the `security@starcat.systems` email address:

**Key ID**: `0428BD982B857E4B`  
**Key fingerprint**: `5F47 4A7D 679F 12DD 0209 4BCB 0428 BD98 2B85 7E4B`  
**Keyservers**: [:octicons-link-external-16: keys.openpgp.org](https://keys.openpgp.org/search?q=5F47+4A7D+679F+12DD+0209+4BCB+0428+BD98+2B85+7E4B), [:octicons-link-external-16: keys.mailvelope.com](https://keys.mailvelope.com/pks/lookup?op=get&search=5F47+4A7D+679F+12DD+0209+4BCB+0428+BD98+2B85+7E4B)

??? quote "PGP public key"
    ```
    -----BEGIN PGP PUBLIC KEY BLOCK-----
    Version: Mailvelope v6.1.0
    Comment: https://mailvelope.com

    xsFNBGg2GG8BEAC0V7U80GTfBnRcWvwJ3ijrns2ffLiN8174dn87kk4pEhpl
    SyBGaOrTQzuPSNBSRqP/1qMcBZZvIbyiM/3jpFgPjl8OG7CwGY7q0vpJUCFV
    e7kCkPQGWfvtGVPiE5gRKxm9+Ea9DDnC0lx506o3SHO/BYVVpMiBYeU5YNI0
    d2Cxfob8fT9/W4dvjE2iz/vEZeYt+KK/UIyZdRjQvcbzfY4q6jA1qN4urOBn
    ohpjjXCj7ZeAJZqylJhppJmqSwPzhCjp7X0X28/WFt8tX3QDyx2JIFoO7Zcs
    I80yYYeMZGOljkmAiiFqQ5XsuOVhGTVwctnWgWdFGJyhp5ZKeJDgewgb2NtE
    JY1kMZuE7itq+ONXgCHBhqGhyRqa8rpcn9ouJ/3i5PJYTwAT7B4H1uDFwGVI
    Dd2NereCQ3hH6ZWxGbL5LwzLfwR7HJ39JzUlRXs2cu1AK5aVkSjXquIGV+y+
    wCt9ZzSfy2x6/IIYALB0DtKRw05LjhQ2R2jcQJLN6o1vcW3rZxxt5plonZew
    xWd9QF1KIJ939lvCWuJ9FNeNgA5zxc53MEkvjl/9be71ZLGCG4Hf12vS+uzP
    kXZysoBdNA0SQLReI6IsiQf3kFOovmaTxU4KzBG6Yg1fl/MhrOgsAqsN38y6
    cuSeqUz3NRMtxWXDTpL7069QlWj7K3U/3ImOdQARAQABzTNTdGFyQ2F0IFN5
    c3RlbXMgU2VjdXJpdHkgPHNlY3VyaXR5QHN0YXJjYXQuc3lzdGVtcz7CwYoE
    EAEIAD4Fgmg2GG8ECwkHCAmQBCi9mCuFfksDFQgKBBYAAgECGQECmwMCHgEW
    IQRfR0p9Z58S3QIJS8sEKL2YK4V+SwAAGS8P/AjhQILf8aehxN9ElhFqmOrF
    1lHm8mnrqJfVDq5K3AKBneDysRUUmFLDcSA7pUrq9tuzDkzKoQal391OewcV
    6pdpPBCPZRRuWh1D3776gUNgSbCEa2PoAibWnEw9lo11/kmUkOzTS/fF6Yj/
    +fnzf0Y4JVDzdUxpYg3R6Z/uP4hUml+55CXjqFgnXutawBhjw2mim5ELXkgv
    jP3PvFQTPYf4oE1ABt++lPkbnfb1nLW5vbmpOrigs9w9+J5SxCuCcdhRnZ4M
    dmBvCbyx2kpPiqNQxN+CCI8/TmbH3U4l4PHZcuyEnUpJT6q/bJU+u98v/TAn
    aS2vaR2RUx1ADkbwVM2M+71cA0nUK+PnyemAuvBhk0yYm62oe/obR/82gqdw
    j0KXPKWcy+ZrxOIFEgEyAvwIJS83iWt2H0WD8P7+RbRlPWoPapspFuuZFahR
    cirUbHBA4gku1SugP2dL/spN25f0m7viOf49t7PTR++uohYAKWS0mNNTR21v
    AUA2Ptqc0hm4I+9QLZTOfAFff0k6VlP+lBkTgwaQBPWGGAfjwh5fDpI8DLgL
    mvOVKUhW2RAsyWljHmZhfJZv6j6HZ4dcNsKpln/ZGZrmOghXuvaJoEeQcOWi
    UJPYzioh1TUPTP0xlwBaqY/w/rPrVB66nNnDEZt3I+aWcCc4GGZgPFrcj6QP
    zsFNBGg2GG8BEACZEVmHqI6ETiI0ykxnSchZskBT/QgXhGO1DVIXiR4G3ffS
    x1AhiC2sskomylghrh0BixVZH7Htd9WZxav99sKV3GPWc/NMi6Vvf9RK4v7E
    r1WhOE186wQJVwMMox+aOFcnPGQw6Byhi22QKufYcPzbgqXA4voZI0PzLlH7
    qJ9OJFp0Wtz70xpvIiINskAHaS8lgDQcN/zIRBgblSXjXisfr50+q2VkM5XU
    zNItKe8dukGceAHyav/7p5z7cSiQnkJ1V9Y/J66tRD6HHYFGNtOfAWSL5VOU
    HsrAFz/GJuOTobPjRAKtUumoyOAmoxLQ+JuE/mvd2PnGKVO3o/fZ+18bgGCI
    eSAPKpgBgdD8jYsXyuTUP3i7wbbP1+LZZ8KUIaPzP0KFdxETthElup4n2J0W
    fOJZ2V5S7pKwscdQxNkPxb9wa5ixWt0nWWCtoGIlogsCHDrlaFaXm/9pTfdw
    JVdaZNu/2WlHuWzVWWAOw3otVBXfvJxa2suIp3g+h2F6yteHjsbhakPjwFSh
    HuDUDj9d9KSV2eEM+u0Zo0CSbDca78l4XEgQ1P8D8ox9/QC0AqjGCky5Q/yU
    iSxNRrJaVgAsymUpYRwfXDL3RYaq5LTRhIPh4b562CzjoMQ8SFGXWVF191+Q
    zBCU84E31pjCsn0Epjy53mOUTVRb7SApFMJgswARAQABwsF2BBgBCAAqBYJo
    NhhvCZAEKL2YK4V+SwKbDBYhBF9HSn1nnxLdAglLywQovZgrhX5LAAAzmA/+
    P8ZuKqBzqHuCoQuGMZVy0WDqcDhWnvRcHG0xtSp0LxdYqNT6MG/G4NnDXzKh
    62ECONL71wIDLIVifQQrRRp7Sk7xO1PhZkBjmMzviMqGHNKYe97lwiAMp07V
    ZDJ4B2XJ6b73paQl5PKcZDql1HrfnxO4BqYzAoTmD1nqgRzD26OEie8FZa8I
    sNJX7ruxZ64+JIFgCbWKO3ZHtHKctE8v8OcKLyBRBD9r2eOFk40UBoILsadh
    d6vlQS36qafHHe8FDTSRHqrv9dkUd/J05iPhAjWKOtzLDZCOa9h288aJR9+4
    /4Emp7PVK4tyv7OZ+1oLLkf8gkyMn7u2GD4vyDULnOlYW9pSYbYaC6/W1R12
    9/fassvESA91Fv29s5kxfBkepif3llmEz795bTZrC9OjMAXN6kBBtKpO0uYe
    ++5kMlJZEH2n16H1TGjvwirhAde1I1jkzRX3PZderUvfrJ/f9mXIAcChHoxW
    5UBWcgfn9lR3cXb5aKcGScufHU1Gd6qCUdxWN+lM11lkc4Hgn8As/Q0gfG4d
    ufoH4qRrYzh2Qc1Qe5zQJpX5TFw7f07ogZErI//M4rTQPuPEAtetUK8IaGYU
    QvYduqdNH96o9zP0/IKyyR0HZvI7QwouVuu3bJrEvlV+tTgz0PRkgX3LJx9A
    3WsLOOv1dNehdakdim6IhkE=
    =o4pW
    -----END PGP PUBLIC KEY BLOCK-----

    ```

## security.txt
For additional details, please refer to our [:octicons-tab-external-16: security.txt](https://starcat.systems/security.txt) file.