# Naming Conventions
To try and standardize things, aim to use the following naming conventions when assigning server hostnames, etc.

## Hostnames
Hostnames are assigned as follows:

```
env-category-(subservice)-(subdomain)
```

- `env`: the environment being hosted. Options are `prod`, `stg`, `dev`, `test`
- `category`: what is being hosted. Options are `pubinfra`, `intinfra`, or a specific product (`sourcecamp`, `casper`, `postline`, etc.)
- `subservice`: optional, used with `pubinfra` and `intinfra`. For shared infrastructure, what service(s) are being hosted. For example, `auth`, `accounts`, `portal`, etc.
- `subdomain`: optional, used for specific products. Identifies the specific user's instance that is being hosted.

So, for the StarCat Systems [:simple-forgejo: Git server](https://git.starcat.systems), the hostname is `prod-sourcecamp-starcatsys`. (`env`=`prod`, `category`=`sourcecamp`, `subservice`=empty, `subdomain`=`starcatsys`)