# Syntax

You can find a reference for the syntax used in writing this site in the Material for MkDocs [:simple-materialformkdocs: Reference section](https://squidfunk.github.io/mkdocs-material/reference/). On this particular site, there are some specific syntax point that we use. This page is intended to provide a reference for those specifics.

## Icons
Reference for all available Material for MkDocs icons: [:simple-materialformkdocs: Icons, Emojis](https://squidfunk.github.io/mkdocs-material/reference/icons-emojis/)

### Commonly-used icons for links
:octicons-arrow-right-16: `:octicons-arrow-right-16:` - used for links within the wiki  
:octicons-tab-external-16: `:octicons-tab-external-16:` - used for links outside the wiki, but within StarCat Systems  
:octicons-link-external-16: `:octicons-link-external-16:` - used for external links to sites not controlled by StarCat Systems  
:material-book-lock: `:material-book-lock:` - used for links to the StarCat Systems internal handbook  
:material-folder-lock: `:material-folder-lock:` - used for restricted links to files hosted on StarCat Cloud.

### Commonly-used flag icons
:flag_us: `:flag_us:` - United States of America  
:flag_eu: `:flag_eu:` - European Union  
:flag_de: `:flag_de:` - Germany  
:flag_fi: `:flag_fi:` - Finland  
:flag_lu: `:flag_lu:` - Luxembourg

### Custom icons
There are some custom icons added to this MkDocs instance, for example for StarCat product logos. See [:octicons-arrow-right-16: Custom Icons](custom_icons.md) for more details on adding and using custom icons.

#### Logos
:logos-starcat-circle: `:logos-starcat-circle:` - StarCat Systems circle logo  
:logos-sourcecamp: `:logos-sourcecamp:` - SourceCamp logo  
:logos-docshub: `:logos-docshub:` - DocsHub logo  
:logos-stagelink: `:logos-stagelink:` - StageLink logo  
:logos-postline: `:logos-postline:` - PostLine logo  
:logos-openhost: `:logos-openhost:` - OpenHost logo

### Coloring icons
You can add a color to an icon by adding the CSS color after the icon, like this:  
:fontawesome-solid-dragon:{ .bug-pink } `:fontawesome-solid-dragon:{ .bug-pink }`


Currently, the available configured colors are based off the built-in admonition colors and icons, as follows:

:fontawesome-regular-note-sticky:{ .note-blue } `:fontawesome-regular-note-sticky:{ .note-blue }`  
:octicons-info-16:{ .info-blue } `:octicons-info-16:{ .info-blue }`  
:octicons-flame-16:{ .tip-teal } `:octicons-flame-16:{ .tip-teal }`  
:octicons-check-16:{ .success-green } `:octicons-check-16:{ .success-green }`  
:octicons-question-16:{ .question-green } `:octicons-question-16:{ .question-green }`  
:octicons-alert-16:{ .warning-yellow } `:octicons-alert-16:{ .warning-yellow }`  
:octicons-x-circle-16:{ .failure-red } `:octicons-x-circle-16:{ .failure-red }`  
:octicons-zap-16:{ .danger-red } `:octicons-zap-16:{ .danger-red }`  
:octicons-bug-16:{ .bug-pink } `:octicons-bug-16:{ .bug-pink }`  
:octicons-beaker-16:{ .example-purple } `:octicons-beaker-16:{ .example-purple }`  
:octicons-quote-16:{ .quote-grey } `:octicons-quote-16:{ .quote-grey }`  

Additionally, "StarCat blue" is available:  
:logos-starcat-circle:{ .starcat-blue } `:logos-starcat-circle:{ .starcat-blue }`  
:logos-starcat-circle:{ .starcat-paleblue } `:logos-starcat-circle:{ .starcat-paleblue }`

:octicons-flame-16:{ .tip-teal } Want to know how these colors work? Check out [:simple-forgejo: the CSS in the source](https://git.starcat.systems/starcatsys/about/src/branch/main/docs/stylesheets/extra.css).

## Admonitions
Reference for using Admonitions: [:simple-materialformkdocs: Admonitions](https://squidfunk.github.io/mkdocs-material/reference/admonitions/#usage)



### Common Admonition Usage
Here are some common admonitions, when you might use them, and quick code snippets that you can paste in.

!!! note
    Highlights information that users should take into account, even when skimming.


    ```
    !!! note
        Highlights information that users should take into account, even when skimming.
    ```

!!! tip
    Helpful advice for doing things better or more easily.

    ```
    !!! tip
        Helpful advice for doing things better or more easily.
    ```

!!! warning
    Advises about risks or negative outcomes of certain actions.

    ```
    !!! warning
        Advises about risks or negative outcomes of certain actions.
    ```

!!! danger
    Urgent info that needs immediate user attention to avoid problems.

    ```
    !!! danger
        Urgent info that needs immediate user attention to avoid problems.
    ```

!!! bug
    Information about a known bug in a current version. Whenever possible, provide a link to the issue report. Place a link back to the page with this admonition, in the issue report so that the admonition can be removed when the bug is closed.

    ```
    !!! bug
        Information about a known bug in a current version. Whenever possible, provide a link to the issue report. Place a link back to the page with this admonition, in the issue report so that the admonition can be removed when the bug is closed.
    ```

### Custom
We've modified a couple of the standard admonitions to mean something a little different on this site.

#### Deprecated
For pages that were once accurate, but are either no longer accurate and not being updated, or have become obsolete due to discontinuation, etc. Place this admonition at the top of the page, just below the title.

!!! deprecated "Deprecated"
    The `deprecated` admonition looks like this.

??? quote "Syntax"
    Copy and paste at the top of page content:
    ```
    !!! deprecated "Deprecated"
        The contents of this page are deprecated. Do not rely on any information on this page to be accurate, as it is not being updated.

        Please see <insert page link, if available> for the equivalet updated information.
    ```

#### Page Moved
If a page has been moved, but you still need to link to the original page location for whatever reason. Remove the content of the page (just cut and paste it to the new location), and leave a blank page with just a title and this admonition, linking to the new page location.

!!! page-moved "Page Moved"
    This page has been moved to a new location. Please view the relocated page [:octicons-arrow-right-16: here](#).

??? quote "Syntax"
    Copy and paste at the top of page content:
    ```
    !!! page-moved "Page Moved"
        This page has been moved to a new location. Please view the relocated page [:octicons-arrow-right-16: here](#).
    ```

#### Work in Progress
For pages that aren't yet complete, and need revisions (that we know are going to be revised sooner/more frequently than a typical page.)

Typically, we will put this at the bottom of the page content, with a dividing line between any page content and this admonition.

Example page with this Work in Progress admonition: [:octicons-arrow-right-16: Example WIP Admonition](example_pages/example_wip_admonition.md)

??? quote "Syntax"
    Copy and paste at the bottom of page content:
    ```
    ---

    !!! example "Work in Progress"
        This page is not complete, and is subject to change.

        Want to help with this page? Please see [:octicons-arrow-right-16: Editing this site](https://about.starcat.systems/editing/) and the [:simple-forgejo: Git repo](https://git.starcat.systems/starcatsys/about) for this site.
    ```


#### Placeholder Page
For pages that are newly created and have no (or very little) content on the page itself. Also used for `index.md` pages in directories that have other contents, but no content on the directory index.

Example page with the Placeholder Page admonition: [:octicons-arrow-right-16: Example Placeholder Page Admonition](example_pages/example_placeholder_page_admonition.md)

??? quote "Syntax"
    Copy and paste at the bottom of page content:
    ```
    !!! abstract "Placeholder Page"
        This is a placeholder page. Please see the site navigation for any sub-pages that exist.
    ```

!!! tip
    Typically, any page that is marked as a Placeholder Page should also be marked with the **Work in Progress** admonition because they are, by their nature, incomplete.

    Example page with the Placeholder and WIP admonitions: [:octicons-arrow-right-16: Example Placeholder and WIP Admonitions](example_pages/example_wip_placeholder_admonitions.md)  
    Source code that you can quickly copy from when making an index or placeholder page is located [:simple-forgejo: here](https://git.starcat.systems/starcatsys/about/src/branch/main/docs/handbook/meta/example_pages/example_wip_placeholder_admonitions.md).

---

!!! example "Work in Progress"
    This page is not complete, and is subject to change.

    Want to help with this page? Please see [:octicons-arrow-right-16: Editing this site](https://about.starcat.systems/editing/) and the [:simple-forgejo: Git repo](https://git.starcat.systems/starcatsys/about) for this site.