---
hide:
    - navigation
    - toc
    - path
---

# StarCat Systems
![StarCat Systems Logo-dark](https://cdn.starcat.systems/logos/Starcat_Systems-Head_Circle_Name-212121_Black-300x150px.svg#only-light)
![StarCat Systems Logo-light](https://cdn.starcat.systems/logos/Starcat_Systems-Head_Circle_Name-FFFFFF_White-300x150px.svg#only-dark)

:material-hand-wave: Hello! You've found the 'about' site for [StarCat Systems](https://starcat.systems). This site contains documentation, guides, and other information about our projects and our company.

## :octicons-link-24: Quick Links
Common links that you may find useful:

[:fontawesome-regular-user: StarCat Account Settings](#)  
[:octicons-gear-24: Control Panels](#)  
[:octicons-credit-card-24: Billing Portal](https://sandbox.polar.sh/starcatsys/portal)  
[:material-message-text: Contact StarCat Systems](contact/index.md)  
[:material-alarm-light: System Status](https://starcatsys.instatus.com/)  

## :material-table-of-contents: Contents
You'll find the following sections of information on this site:

<div class="grid cards" markdown>

-   :logos-starcat-circle:{ .lg .middle .starcat-paleblue } **About**

    ---

    Information about [StarCat Systems](https://starcat.systems) and our projects, as a whole.

    [:octicons-arrow-right-16: About](about/index.md)

-   :logos-sourcecamp:{ .lg .middle .starcat-paleblue } **SourceCamp**

    ---

    Information about [SourceCamp](https://starcat.systems), a simple, private Git server host.

    [:octicons-arrow-right-16: SourceCamp](sourcecamp/index.md)

-   :logos-docshub:{ .lg .middle .starcat-paleblue } **DocsHub**

    ---

    Information about [DocsHub](https://docshub.io), a continuous documentation platform.

    [:octicons-arrow-right-16: DocsHub](docshub/index.md)

-   :logos-postline:{ .lg .middle .starcat-paleblue } **Postline**

    ---

    Information about [Postline](https://postline.email), a discussion + announcement list service.

    [:octicons-arrow-right-16: Postline](postline/index.md)

-   :logos-stagelink:{ .lg .middle .starcat-paleblue } **StageLink**

    ---

    Information about [StageLink](https://stagelink.cloud), a remote AV+ system management platform.

    [:octicons-arrow-right-16: StageLink](stagelink/index.md)

-   :logos-openhost:{ .lg .middle .starcat-paleblue } **OpenHost**

    ---

    Information about [OpenHost](https://openho.st), managed, fast, and easy open-source app hosting.

    [:octicons-arrow-right-16: OpenHost](openhost/index.md)

-   :fontawesome-solid-scroll:{ .lg .middle .starcat-paleblue } **Policies**

    ---

    The policies and terms you agree to when you use any of our projects.

    [:octicons-arrow-right-16: Policies](policies/index.md)

-   :fontawesome-solid-life-ring:{ .lg .middle .starcat-paleblue } **Support**

    ---

    Get assistance with your StarCat Systems product(s).

    [:octicons-arrow-right-16: Support](support/index.md)

-   :octicons-mail-16:{ .lg .middle .starcat-paleblue } **Contact**

    ---

    Got a question or an idea? Get in touch with the StarCat Systems team.

    [:octicons-arrow-right-16: Contact](contact/index.md)

-   :material-book:{ .lg .middle .starcat-paleblue } **Handbook**

    ---

    Documentation and notes about the running of our projects. Take a look behind the scenes!

    [:octicons-arrow-right-16: Handbook](handbook/index.md)

</div>

## :octicons-pencil-24: Edit this site
Found an error, or have a content suggestion? **You** are welcome to suggest changes to this site! The source material for this site is hosted on our [:simple-forgejo: Git server](https://git.starcat.systems/starcatsys/about). Check out the [:octicons-arrow-right-16: Editing this site](editing.md) section in the Handbook for more information on making changes.

## :fontawesome-brands-creative-commons: License
The contents of this site are licensed under [:fontawesome-brands-creative-commons::fontawesome-brands-creative-commons-by::fontawesome-brands-creative-commons-sa: CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/), unless otherwise noted.

<style>
    .md-typeset h1 {
        display: none;
    }
</style>