# Abuse Handling Policy

!!! tip "Submitting an abuse report"
    If you need to submit an abuse report, please visit our [:octicons-arrow-right-16: Abuse report](../contact/abuse.md) page.

*Last updated 2025-06-04*

The internet is full of opportunities. Unfortunately, there are always people who exploit these opportunities to the detriment of others. It is important to  us to uncover and prevent this abuse. We want the internet to be a better and safer place for everyone.

When we discover potential abusive usage of our products and services as detailed in our [Acceptable Use Policy](aup.md), we investigate using the following process.

## Discovery
How do we discover potential abuse?

-   Someone alerts us. We give abuse reports our full care and attention. Our support teams also respond to every question or comment that comes in. If we notice anything in those emails that points to a violation, we will look into it.
-   We notice an anomaly in our operations and systems monitoring. We monitor a range of things about our products, error rates of web requests, message sending rates, and the like. If we see something weird with those numbers, we get to the bottom of it.
-   We stumble upon public web content that links an individual or organization to a StarCat Systems product. We aren’t scouring the Internet looking for those links, but if we do come across any, we check them out.

## Investigation
How do we investigate potential abuse?

We focus on the available to us: what we see and hear account users say and do. We document what we observe and ask whether that observable evidence points to a restricted use.

We have an obligation to protect the privacy and safety of both our customers and the people reporting issues to us. We do our best to balance those responsibilities throughout the process:

-   We make every effort to complete our investigations without accessing a customer account. For instance, if there are screenshots or public documents available, we review those. We also consider whether it is appropriate to involve the account owner in a given investigation and seek additional evidence from them.
-   As we review the evidence, we look for indications of existing negative impact. We also assess the severity of any potential negative impact, regardless of intent. When relevant, we look for and follow available guidelines from expert institutions.
-   If we cannot come to a fair assessment from the information available, we may decide to access a customer account without notice. We do not make this decision lightly. Customer privacy is a big deal to us and we only pursue this course of action if the evidence we have already is very concerning, but not definitive.

While some violations are flatly obvious, others are subjective, nuanced, and difficult to adjudicate. We give each case adequate time and attention, commensurate with the violation, criticality, and severity of the charge.

## Decision
We will terminate an account without advance notice if there is evidence it is being used for a restricted purpose that has, is, or will cause severe harm. If applicable, we will also report the incident to the appropriate authorities.

For other cases, we’ll take a case-by-case approach to clear things up.

Further, as a small, privately owned independent business that puts our values and conscience ahead of growth at all costs, we reserve the right to deny service to anyone we ultimately feel uncomfortable doing business with.

### Can you appeal a decision?
If we terminate an account without notice, the decision is final.

For other cases, we will consider good faith appeals made by the account owner within 14 calendar days. To submit this appeal, reply to the email ticket notification that the account owner received.

---
!!! info "These policies apply to all StarCat products"
    Unless otherwise noted, these policies apply to all products and services built and provided by StarCat Systems. If there are any variations to policies for specific products, we'll make a note on that product's policies page(s).

!!! quote "Attribution"
    This policy is adapted from the [Basecamp open-source policies](https://github.com/basecamp/policies) / [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)